StarObjectTextInternal::GraphZone Struct Referencefinal

Internal: a graphZone of StarObjectTextInteral. More...

Inheritance diagram for StarObjectTextInternal::GraphZone:

## Public Member Functions

| GraphZone (std::shared_ptr< STOFFOLEParser > &oleParser)
| constructor
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| try to send the data to a listener
Public Member Functions inherited from StarObjectTextInternal::Zone
| Zone ()
| constructor
virtual | ~Zone ()
| destructor
virtual void | inventoryPage (StarState &) const
| try to inventory the different pages

## Public Attributes

std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser
librevenge::RVNGString | m_names [3]
| the graph name, the fltName, the replace text
std::vector< StarWriterStruct::Attribute > | m_attributeList
| the attributes list
StarGraphicStruct::StarPolygon | m_contour
| the contour(useme)

## Detailed Description

Internal: a graphZone of StarObjectTextInteral.

## Constructor & Destructor Documentation

## GraphZone()

StarObjectTextInternal::GraphZone::GraphZone | ( | std::shared_ptr< STOFFOLEParser > & | oleParser | ) |

inline explicit

constructor

## Member Function Documentation

## send()

bool StarObjectTextInternal::GraphZone::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state ) const

final virtual

try to send the data to a listener

Implements StarObjectTextInternal::Zone.

## Member Data Documentation

## m_attributeList

std::vector<StarWriterStruct::Attribute> StarObjectTextInternal::GraphZone::m_attributeList

the attributes list

Referenced by GraphZone().

## m_contour

StarGraphicStruct::StarPolygon StarObjectTextInternal::GraphZone::m_contour

the contour(useme)

Referenced by GraphZone().

## m_names

librevenge::RVNGString StarObjectTextInternal::GraphZone::m_names[3]

the graph name, the fltName, the replace text

Referenced by send().

## m_oleParser

std::shared_ptr<STOFFOLEParser> StarObjectTextInternal::GraphZone::m_oleParser

the ole parser

Referenced by GraphZone(), and send().

The documentation for this struct was generated from the following file:

- StarObjectText.cxx